from flask import Blueprint, render_template, send_from_directory
from ..extensions import caching, caching_unless

bp = Blueprint('index', __name__, url_prefix='/')

@bp.route('', methods=['GET'])
@caching.cached(unless=caching_unless)
def base():
    return render_template('index.html')

@bp.route('help', methods=['GET'])
@caching.cached(unless=caching_unless)
def help():
    return render_template('help.html')
    
@bp.route('robots.txt', methods=['GET'])
@caching.cached(unless=caching_unless)
def robots():
    return render_template('robots.txt')
