from functools import wraps
from flask import session, request, redirect, url_for, flash

def login_required(f):
    @wraps(f)
    def decorated_function(*args, **kwargs):
        if 'username' in session:
            return f(*args, **kwargs)
        flash('Login required')
        return redirect(url_for('auth.login', next=request.url))
    return decorated_function