import yt_dlp


def checkChannelId(channelId):
    if len(channelId) <= 23:  # channelId lengths are 24 characters
        return False
        
    if len(channelId) >= 26:  # But some are 25, idk why
        return False
        
    if channelId[0:2] not in ['UC', 'UU']:
        return False
    
    if channelId[0:2] == 'UU':
        return f'UC{channelId[2:]}'
        
    if channelId[0:2] == 'UC':
        return channelId

def getChannelInfo(url, keys=['channel_id']):
    ydl_opts = {'skip_download': 1,
                'extract_flat': True,
                'playlist_items': ':1',
                'lazy_playlist': 1,
                'quiet': 1}
    with yt_dlp.YoutubeDL(ydl_opts) as ydl:
        info = ydl.extract_info(url, download=False)
        
        
        
        channelInfo = ydl.sanitize_info(info)
    
    if channelInfo.get('channel_id') is None:
        return 'UCxxxxxxxxxxxxxxxxxxxxxx'
    
    return tuple([channelInfo.get(x) for x in keys])