from datetime import datetime

def pretty_duration(seconds):
    if seconds is None:
        return None
        
    minutes, seconds = divmod(seconds, 60)  # split total seconds to minute and remaining seconds
    return f'{minutes}:{seconds:>02} minutes'  # return mm:ss format including padding in seconds
    
def pretty_time(time):
    try:
        return time.strftime('%d %b %Y')  # try to return pretty time if given object is datetime
    except:
        try:
            return datetime.strptime(time, '%Y%m%d').strftime('%d %b %Y')  # try to parse str and give back pretty time
        except:
            return time  # return given time

def epoch_time(time):
    try:
        return datetime.fromtimestamp(time).strftime('%d %b %Y')
    except:
        return None

def current_time(null=None, object=False):
    if object:
        return datetime.utcnow().replace(microsecond=0)
    return datetime.utcnow().isoformat(sep=" ", timespec="seconds")  # return time in iso format without milliseconds